Bug 390201 - Fedora 8 installation hangs indefinitely at /sbin/loader stage. [NEEDINFO]
Fedora 8 installation hangs indefinitely at /sbin/loader stage.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-19 06:11 EST by Chris Rankin
Modified: 2009-01-09 00:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:16:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
snecklifter: needinfo? (rankincj)

Attachments (Terms of Use)

  None (edit)
Description Chris Rankin 2007-11-19 06:11:29 EST
Description of problem:
Fedora 8 hung at the /sbin/loader stage

Version-Release number of selected component (if applicable):

How reproducible:
Every time, provided the Netgear MA301 PLX 802.11b PCI card was in the machine.

Steps to Reproduce:
1. Install Netgear MA301 PCI card in machine (MA401 PCMCIA card not needed).
2. Boot Fedora 8 installation DVD
3. Select any option that invokes /sbin/loader
Actual results:
Machine hangs indefinitely.

Expected results:
anaconda is supposed to start configuring itself to begin installing Fedora 8.

Additional info:
The Linux 2.6.22.x and 2.6.23.x kernels all hang instantly in exactly the same
way as soon as the hostap_plx (or the prism2_plx) kernel module is loaded, which
is why I thought of removing the MA301 card before trying to install Fedora 8
again. Does /sbin/loader try loading this module too?

I have no idea why Linux 2.6.x locks up but Linux 2.4.x does not with *exactly*
the same card. The module is locking up during the pci_enable_device() call, so
it's not as if it gets a chance to do anything illegal.
Comment 1 Jeremy Katz 2007-11-19 10:51:13 EST
You should be able to work around with 'linux nonet' (which would then allow you
to manually select a network driver if needed).  But the lockup sounds like a
kernel bug
Comment 2 Chris Rankin 2007-11-19 14:00:56 EST
Here's the complete PCI entry for the MA301

00:0e.0 Network controller: Netgear MA301 802.11b Wireless PCI Adapter (rev 02)
        Subsystem: Netgear MA301 802.11b Wireless PCI Adapter
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 5
        Region 1: I/O ports at 1000 [size=128]
        Region 2: Memory at e8002000 (32-bit, non-prefetchable) [size=4K]
        Region 3: I/O ports at 1080 [size=64]
Comment 3 Chris Rankin 2007-12-27 20:19:51 EST
This hang seems to be a PLX9052 issue, because loading the orinoco_plx.ko module
also hangs the PC. I have found a datasheet for the PLX9052 here:


(Presumably the orinoco_plx module finds the PLX9052 bridge but hangs the PC
before it can notice that the PCMCIA card within it is wrong.)

The motherboard that hangs is an Intel SE440BX-2, whereas an older Intel Zappa
motherboard works just fine. Could the newer Intel board need a bit of extra PCI
initialisation before the CIS can be read?

I am currently only able to boot Fedora kernels if I remember to delete the
orinoco_plx.ko and hostap_plx.ko modules first.
Comment 4 Christopher Brown 2008-02-13 18:11:07 EST

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

Bugs involving the installation process cannot usually be resolved after release
date. We therefore ask reporters to use one (or both) of the following options:

1) Test with a Fedora Unity re-spin. These can be found at
http://spins.fedoraunity.org/spins and include updates for installer bugs which
may resolve the problem for you.

2) Test with an Alpha, Beta or Release Candidate for the next version. These can
be found at http://fedoraproject.org/get-prerelease and by testing these we can
work to resolve any installation issues so that the final release is free of
such bugs.

However if the problem no longer exists then please close this bug or I'll do so
in a few weeks if there is no additional information lodged.
Comment 5 Bug Zapper 2008-11-26 03:34:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-01-09 00:16:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.